Bug 71056 - Visible "<sup>...</sup> tags in Germanophone OLH for "Tools - AutoCorrect Options... - Localized Options"
Summary: Visible "<sup>...</sup> tags in Germanophone OLH for "Tools - AutoCorrect Opt...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.3.0 target:4.2.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-30 16:15 UTC by thackert
Modified: 2013-12-02 16:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thackert 2013-10-30 16:15:37 UTC
Hello @ll,
I hope, I have chosen the right (sub)component. If not, feel free to change it adequate ... ;)

As I was looking for double used mnemonics at the Germanophone version of LO, I discovered, that – when you open "Extras – AutoKorrektur-Optionen..." (in English: "Tools – AutoCorrect Options..."), then switches to the tab "Gebietsschemaabhängige Optionen" ("Localized Options"),then click on the Help button (or press <Alt>+<H>), klick on "Menü" ("Menu") -> "Extras" ("Tools") -> "AutoKorrektur-Optionen..." ("AutoCorrect Options") -> "Gebietsschemaabhängige Optionen" ("Localized Options") – you will find
<quote>
Formatiert die Suffixe der Ordinalzahlen (1st ... 1<sup>st</sup>)
Formatiert die Textzeichen der Ordinale wie 1st, 2nd oder 3rd als Exponenten. Im englischen Text wird z.B. 1st in 1<sup>st</sup> konvertiert.
</quote>
In the English OLH it is
<quote>
Format ordinal number suffixes (1st ... 1st)
Formats the text characters of ordinals, such as 1st, 2nd, or 3rd, as superscripts. For example, in English text, 1st will be converted to 1st.
</quote>
(but there the "...1st)" and the last "...converted to 1st" are "st" as superscript instead of this "<sup>...</sup>" tags ... :( The string in Pootle is https://translations.documentfoundation.org/de/libo_help/translate.html#search=%3Csup%3E&sfields=source,target&unit=28678072, where the English text above is
<quote>
Format ordinal number suffixes (1st ... 1<sup>st</sup>)
</quote>
and https://translations.documentfoundation.org/de/libo_help/translate.html#search=%3Csup%3E&sfields=source,target&unit=28685038, where it is
<quote>
Formats the text characters of ordinals, such as 1st, 2nd, or 3rd, as superscripts. For example, in English text, 1st will be converted to 1<sup>st</sup>.
</quote>
. In https://help.libreoffice.org/swriter/CUI_HID_OFAPAGE_QUOTE_SW_CLB?Language=en-US&System=UNIX&Version=4.1#Format_ordinal_number_suffixes_.281st_..._1st.29 it is right as well ... ;)

LO: Version: 4.1.2.3 Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38 with installed Germanophone lang- as well as helppack. English text checked with LO Version: 4.2.0.0.alpha0+ Build ID: aeb29afa11b7be87153f048044a2d4af9a87b50c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2013-10-29_20:58:33
OS: Debian Testing AMD64

Sorry for this long text and for the inconvenience
Thomas.
Comment 1 2013-10-30 18:21:09 UTC
I can confirm this incorrect behavior and change the status to NEW.

You find the affected strings faster in LibreOffice e.g. this way: In Writer open the built-in help (e.g. press F1), in the index find "replacing;ordinal numbers" (in the Germanophone UI: "Ersetzung;Ordinalzahl").

In the en-us built-in help you find the correct presentation with superscripted "st", in the Germanophone built-in help you find "<sup>st</sup>" instead.

The two strings have the KeyIDs "XFnDF" and "eoSVE".

The online help is not affected.

In Pootle no differences are detectable, both (the English original as well as the Germanophone translation) read "1<sup>st</sup>".

Regards,
Christian.
Comment 2 Commit Notification 2013-12-02 11:55:25 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab4f01412b833dc08f1d64a93addb7751d051af7

fdo#71056 add <sup> to list of inline help XML tags



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-12-02 11:59:52 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e596cfa5bce2a958766712026db0ae74bd112975&h=libreoffice-4-2

fdo#71056 add <sup> to list of inline help XML tags


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-12-02 16:56:19 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c0d52812310b1ee07cf5c9e6932c3a02fde0862&h=libreoffice-4-1

fdo#71056 add <sup> to list of inline help XML tags


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.